/// <reference types="node" />
export declare class HttpClient {
    static topic: string;
    hostname: string;
    cookies: string;
    /**改成流式下载 */
    static download(url: string, filename: string, headers?: any): Promise<void>;
    static getFileSHA1ByURL(url: string, headers?: any): Promise<{
        sha1: any;
        buffer: any;
    } | {
        sha1: any;
        buffer?: undefined;
    }>;
    static getJSON(url: string, headers?: any): Promise<any>;
    static getDOM(url: string, headers?: any): Promise<Document>;
    /**
     * 增加编码转换功能，以便支持非utf8的内容的获取
     */
    static getText(url: string, headers?: any): Promise<any>;
    static get(url: any, headers?: any): any;
    static getResponse(url: string, headers: any): Promise<{
        statusCode: number;
        headers: any;
        body: Buffer;
    }>;
    static getProcessRate(length: number, total: number): string;
    /**
     * 推送buffer
     * @param url
     * @param data Buffer|FormData|JSON
     * @param headers
     */
    static post(url: string, data: Buffer, headers?: any): Promise<{}>;
}
