import { NSQ_STATUS } from './LarkNSQDto';
export declare class LarkNSQ {
    /**
     * 将消息通过POST请求推送给消息服务器
     * @param topic
     * @param method
     * @param argvList
     */
    static publish(topic: string, method: string, argvList: any[]): Promise<void>;
    /**
     * 对消息进行更新
     * @param topic
     * @param method
     * @param message
     */
    updateMessage(topic: string, method: string, message: {
        status: NSQ_STATUS;
        rejectMessage: any;
        accessDatetime: Date;
    }): Promise<void>;
    /**
     * 以GET请求轮询订阅的消息
     */
    subscribe(): Promise<void>;
    /**
     * 将订阅的消息添加到队列内
     * @param MessageClass
     */
    addNSQ(MessageClass: any): void;
}
