/// <reference types="node" />
export declare const ERROR_READ_BUFFER_FAIL: {
    message: string;
    code: number;
};
export declare const ERROR_MAX_BODY_SIZE_LIMIT: {
    message: string;
    code: number;
};
export declare class LarkBuffer {
    /**
     * 从buffer当中获取sha1值
     * @param buffer
     */
    static getBufferSha1(buffer: Buffer): Promise<void>;
    /**
     * 从stream当中获取sha1值
     * @param stream
     */
    static getStreamSha1(stream: any): Promise<void>;
    /**
     * 通过stream获取其buffer
     * @param maxBodySize 是否控制最大大小，如果超过最大大小。触发异常中断读取
     * 是否增加超时机制
     */
    static readBufferByStream(stream: any, maxBodySize?: number): Promise<Buffer>;
    static GZIP(buffer: any): Buffer;
    static UNGZIP(buffer: Buffer): Buffer;
}
