"use strict";Object.defineProperty(exports,"__esModule",{value:!0});var tslib_1=require("tslib"),HTTP=require("http"),URL=require("url"),fs=require("fs-extra"),SHA1=require("sha1"),LarkError_1=require("../Log/LarkError"),LarkLogger_1=require("../Log/LarkLogger"),HTTPS=require("https"),HTTP_STATUS_1=require("./HTTP_STATUS"),LarkMath_1=require("../Utils/LarkMath"),jsdom_1=require("jsdom"),FileSystem_1=require("../Storage/FileSystem"),logger=new LarkLogger_1.LarkLogger("Http/HttpClient"),HttpClient=function(){function e(){this.hostname=null,this.cookies=null}return e.download=function(r,o,n){return tslib_1.__awaiter(this,void 0,void 0,function(){var t;return tslib_1.__generator(this,function(e){switch(e.label){case 0:return!1!==fs.existsSync(o)?[3,2]:(logger.info("download.start",r),[4,this.get(r,n)]);case 1:return t=e.sent(),logger.info("download.end.write",r),fs.outputFileSync(o,t),logger.info("download.end.success",{filename:o,url:r}),[3,3];case 2:logger.warn("文件已存在，跳过下载",{filename:o,url:r}),e.label=3;case 3:return[2]}})})},e.getFileSHA1ByURL=function(o,n){return tslib_1.__awaiter(this,void 0,void 0,function(){var t,r;return tslib_1.__generator(this,function(e){switch(e.label){case 0:return e.trys.push([0,2,,3]),[4,this.get(o,n)];case 1:return t=e.sent(),[2,{sha1:SHA1(t),buffer:t}];case 2:return r=e.sent(),logger.error("getImageSHA1",r),[2,{sha1:null}];case 3:return[2]}})})},e.getJSON=function(r,o){return tslib_1.__awaiter(this,void 0,void 0,function(){var t;return tslib_1.__generator(this,function(e){switch(e.label){case 0:return[4,this.get(r,o)];case 1:return t=e.sent(),[2,JSON.parse(t.toString())]}})})},e.getDOM=function(r,o){return tslib_1.__awaiter(this,void 0,void 0,function(){var t;return tslib_1.__generator(this,function(e){switch(e.label){case 0:if(null===r)throw new LarkError_1.LarkError("url不能为null");return[4,this.get(r,o)];case 1:return t=e.sent(),[2,new jsdom_1.JSDOM(t).window.document]}})})},e.getText=function(t,r){return tslib_1.__awaiter(this,void 0,void 0,function(){return tslib_1.__generator(this,function(e){switch(e.label){case 0:return[4,this.get(t,r)];case 1:return[2,e.sent().toString()]}})})},e.get=function(o,n){return tslib_1.__awaiter(this,void 0,void 0,function(){var t,r;return tslib_1.__generator(this,function(e){switch(e.label){case 0:return[4,this.getResponse(o,n)];case 1:if((t=e.sent()).statusCode!==HTTP_STATUS_1.HTTP_STATUS.MOVE_TEMPORARILY)return[3,3];if(r=t.headers.location,logger.info("请求重定向",{location:r}),"string"!=typeof r||""===r)throw new LarkError_1.LarkError("重定向状态下未获得重定向地址",{headers:t.headers});return[4,this.get(r,n)];case 2:return[2,e.sent().body];case 3:return[2,t.body]}})})},e.getResponse=function(a,u){return tslib_1.__awaiter(this,void 0,void 0,function(){var s=this;return tslib_1.__generator(this,function(e){return[2,new Promise(function(e,t){var r=URL.parse(a),o=HTTP.request;"https:"!==r.protocol&&443!==Number(r.port)||(r.protocol="https:",o=HTTPS.request),u=Object.assign({"user-agent":"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.101 Safari/537.36"},u);var n={protocol:r.protocol,port:r.port,method:"GET",host:r.hostname,path:r.path,headers:u,rejectUnauthorized:!1};logger.info({urlParse:r,requestData:n});var i=o(n,function(t){var r=0,o=[];logger.log("STATUS: "+t.statusCode),logger.log("HEADERS: "+JSON.stringify(t.headers)),t.on("data",function(e){r+=e.length,logger.single("BODY:",LarkMath_1.LarkMath.getPercent(r,Number(t.headers["content-length"])),s.getProcessRate(Number(t.headers["content-length"]),r)),o.push(e)}),t.on("end",function(){logger.log("response end"),e({statusCode:t.statusCode,headers:t.headers,body:Buffer.concat(o)})})});i.on("error",function(e){logger.error("problem with request: "+e.message),t(new LarkError_1.LarkError(e.message,e))}),i.end()})]})})},e.getProcessRate=function(e,t){return isNaN(e)?FileSystem_1.FileSystem.getVisualFileSize(t):FileSystem_1.FileSystem.getVisualFileSize(t)+"/"+FileSystem_1.FileSystem.getVisualFileSize(e)},e.post=function(i,s,a){return void 0===a&&(a=null),tslib_1.__awaiter(this,void 0,void 0,function(){return tslib_1.__generator(this,function(e){return[2,new Promise(function(r,t){null===a&&(a={}),(a=Object.assign({"user-agent":"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.101 Safari/537.36"},a))["Content-Length"]=Buffer.byteLength(s);var e=URL.parse(i),o=HTTP.request;"https:"!==e.protocol&&443!==Number(e.port)||(e.protocol="https:",o=HTTPS.request);var n=o({protocol:e.protocol,port:e.port,method:"POST",host:e.hostname,path:e.path,headers:a},function(e){var t=[];logger.log("STATUS: "+e.statusCode),logger.log("HEADERS: "+JSON.stringify(e.headers)),e.on("data",function(e){t.push(e)}),e.on("end",function(){logger.log("No more data in response."),r(Buffer.concat(t))})});n.on("error",function(e){logger.error("problem with request: "+e.message),t(new LarkError_1.LarkError(e.message,e))}),n.write(s),n.end()})]})})},e.topic="Lark/Http/HttpClient",e}();exports.HttpClient=HttpClient;