"use strict";Object.defineProperty(exports,"__esModule",{value:!0});var tslib_1=require("tslib"),MongoDB_1=require("../MongoDB"),mongodb_1=require("mongodb"),LarkBuffer_1=require("../../Utils/LarkBuffer"),Path=require("path"),LarkLogger_1=require("../../Log/LarkLogger"),LarkError_1=require("../../Log/LarkError"),FileSystem_1=require("../FileSystem"),logger=new LarkLogger_1.LarkLogger("Mongodb/MongoDBGridFS"),MongoDBGridFS=function(){function e(e,t){this.dbName=null,this.bucketName=null,this.mdb=null,this.dbName=e,this.bucketName=t,this.mdb=new MongoDB_1.MongoDB(this.dbName)}return e.prototype.readFile=function(r){return tslib_1.__awaiter(this,void 0,void 0,function(){var t;return tslib_1.__generator(this,function(e){switch(e.label){case 0:return[4,this.readFileStream(r)];case 1:return t=e.sent(),[4,LarkBuffer_1.LarkBuffer.readBufferByStream(t)];case 2:return[2,e.sent()]}})})},e.prototype.readFileStream=function(n){return tslib_1.__awaiter(this,void 0,void 0,function(){var t,r;return tslib_1.__generator(this,function(e){switch(e.label){case 0:return[4,this.getDB()];case 1:return t=e.sent(),r=new mongodb_1.GridFSBucket(t,{bucketName:this.bucketName}),[2,r.openDownloadStreamByName(n)]}})})},e.prototype.getFileStat=function(t){return tslib_1.__awaiter(this,void 0,void 0,function(){return tslib_1.__generator(this,function(e){switch(e.label){case 0:return[4,this.mdb.getCollection(this.bucketName+".files")];case 1:return[4,e.sent().findOne({filename:t})];case 2:return[2,e.sent()]}})})},e.prototype.removeFile=function(o){return tslib_1.__awaiter(this,void 0,void 0,function(){var t=this;return tslib_1.__generator(this,function(e){return[2,new Promise(function(n,i){return tslib_1.__awaiter(t,void 0,void 0,function(){var t,r;return tslib_1.__generator(this,function(e){switch(e.label){case 0:return[4,this.mdb.getCollection(this.bucketName+".files")];case 1:return[4,e.sent().findOne({filename:o})];case 2:return t=e.sent(),[4,this.getDB()];case 3:return r=e.sent(),new mongodb_1.GridFSBucket(r,{bucketName:this.bucketName}).delete(t._id,function(e){null!==e?i(e):n()}),[2]}})})})]})})},e.prototype.appendFileMeta=function(n,i){return tslib_1.__awaiter(this,void 0,void 0,function(){var t,r;return tslib_1.__generator(this,function(e){switch(e.label){case 0:return[4,this.mdb.getCollection(this.bucketName+".files")];case 1:return[4,(t=e.sent()).findOne({filename:n})];case 2:return(r=e.sent()).metadata=Object.assign(r.metadata,i),logger.info("appendFileMeta",{record:r}),[4,t.updateOne({_id:r._id},{$set:r})];case 3:return e.sent(),[2]}})})},e.prototype.outputFile=function(t,r){return tslib_1.__awaiter(this,void 0,void 0,function(){return tslib_1.__generator(this,function(e){switch(e.label){case 0:return[4,this.getFileStat(t)];case 1:return null===e.sent()?[3,3]:(logger.warn("outputFile.覆盖",t,r.length),[4,this.removeFile(t)]);case 2:e.sent(),e.label=3;case 3:return[4,this.writeFile(t,r)];case 4:return e.sent(),[2]}})})},e.prototype.writeFile=function(s,u,l){return void 0===l&&(l=null),tslib_1.__awaiter(this,void 0,void 0,function(){var t=this;return tslib_1.__generator(this,function(e){return[2,new Promise(function(o,a){return tslib_1.__awaiter(t,void 0,void 0,function(){var t,r,n,i;return tslib_1.__generator(this,function(e){switch(e.label){case 0:return logger.info("writeFile",s,u.length),[4,this.getFileStat(s)];case 1:return null!==(t=e.sent())?(a(new LarkError_1.LarkError("文件已经存在",{stat:t,filename:s},1535546953353)),[2]):[4,this.getDB()];case 2:return r=e.sent(),n=new mongodb_1.GridFSBucket(r,{bucketName:this.bucketName}),(i=n.openUploadStream(s,{contentType:FileSystem_1.FileSystem.getMIMEByExtname(Path.extname(s)),metadata:l})).write(u,function(e){null===e||(logger.error("writeFile.error",{error:e}),a(e))}),i.end(function(e){null===e?o():a(e)}),[2]}})})})]})})},e.prototype.writeFileStream=function(a,s){return tslib_1.__awaiter(this,void 0,void 0,function(){var t=this;return tslib_1.__generator(this,function(e){return[2,new Promise(function(i,o){return tslib_1.__awaiter(t,void 0,void 0,function(){var t,r,n;return tslib_1.__generator(this,function(e){switch(e.label){case 0:return[4,this.getDB()];case 1:return t=e.sent(),r=new mongodb_1.GridFSBucket(t,{bucketName:this.bucketName}),n=r.openUploadStream(a),s.on("error",function(e){o(e)}),n.on("error",function(e){o(e)}),n.on("end",function(){i()}),s.pipe(n),[2]}})})})]})})},e.prototype.close=function(){this.mdb.close()},e.prototype.getDB=function(){return tslib_1.__awaiter(this,void 0,void 0,function(){return tslib_1.__generator(this,function(e){switch(e.label){case 0:return[4,this.mdb.getDB()];case 1:return[2,e.sent()]}})})},e}();exports.MongoDBGridFS=MongoDBGridFS;